Robotsystem from Robot Group Leipzig: Inspectable Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# Inspectable Class Reference

`#include <inspectable.h>`

Inheritance diagram for Inspectable:

[legend]
List of all members.

## Detailed Description

Interface for inspectable objects.

That means that one can read out some internal parameters indentified by string keys

Definition at line 53 of file inspectable.h.

## Public Types
typedef string | iparamkey
typedef double | iparamval
typedef Inspectable::ILayer | ILayer
typedef Inspectable::IConnection | IConnection
## Public Member Functions
virtual | ~Inspectable ()
virtual list< iparamkey > | getInternalParamNames () const =0
| The list of the names of all internal parameters given by getInternalParams().
virtual list< iparamval > | getInternalParams () const =0
virtual list< ILayer > | getStructuralLayers () const
| Specifies which parameter vector forms a structural layer (in terms of a neural network) The ordering is important.
virtual list< IConnection > | getStructuralConnections () const
| Specifies which parameter matrix forms a connection between layers (in terms of a neural network) The orderning is not important.
## Classes
struct | IConnection
struct | ILayer
struct | matchName
| nice predicate function for finding a Layer with its vectorname More...

## Member Typedef Documentation

typedef struct Inspectable::IConnection IConnection

typedef struct Inspectable::ILayer ILayer

typedef string iparamkey

| Definition at line 56 of file inspectable.h.

typedef double iparamval

| Definition at line 57 of file inspectable.h.

## Constructor & Destructor Documentation

virtual ~Inspectable | ( |  | ) | `[inline, virtual]`

| Definition at line 84 of file inspectable.h.

## Member Function Documentation

virtual list<iparamkey> getInternalParamNames | ( |  | ) | const`[pure virtual]`

| The list of the names of all internal parameters given by getInternalParams(). The naming convention is "v[i]" for vectors and "A[i][j]" for matrices, where i, j start at 0. Returns: : list of keys Implemented in InvertMotorSpace, InvertNChannelController, SineController, AbstractWiring, and One2OneWiring.

virtual list<iparamval> getInternalParams | ( |  | ) | const`[pure virtual]`

| Returns: : list of values Implemented in InvertMotorSpace, InvertNChannelController, SineController, AbstractWiring, and One2OneWiring.

virtual list<IConnection> getStructuralConnections | ( |  | ) | const`[inline, virtual]`

| Specifies which parameter matrix forms a connection between layers (in terms of a neural network) The orderning is not important. Returns: : list of layer names with dimension Reimplemented in InvertMotorSpace, and InvertNChannelController. Definition at line 105 of file inspectable.h.

virtual list<ILayer> getStructuralLayers | ( |  | ) | const`[inline, virtual]`

| Specifies which parameter vector forms a structural layer (in terms of a neural network) The ordering is important. The first entry is the input layer and so on. Returns: : list of layer names with dimension Reimplemented in InvertMotorSpace, and InvertNChannelController. Definition at line 100 of file inspectable.h.